org.eclipse.microprofile.jwt

## Class ClaimLiteral

- java.lang.Object
- - jakarta.enterprise.util.AnnotationLiteral<Claim>
  - - org.eclipse.microprofile.jwt.ClaimLiteral

All Implemented Interfaces:
  Serializable, Annotation, Claim

    public class ClaimLiteral
    extends jakarta.enterprise.util.AnnotationLiteral<Claim>
    implements Claim

Annotation literal for `Claim`

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClaimLiteral()` Creates a default value Claim literal
`ClaimLiteral(Claims standard)` Construct a Claim literal from a standard claim defined in Claims
`ClaimLiteral(String value)` Construct a Claim literal from a string name of a claim

### Method Summary

All Methods Instance Methods Concrete Methods
`Claims` `standard()`
`String` `value()`

### Methods inherited from class jakarta.enterprise.util.AnnotationLiteral

`annotationType, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.annotation.Annotation

`annotationType, equals, hashCode, toString`

### Constructor Detail

#### ClaimLiteral

    public ClaimLiteral()

Creates a default value Claim literal

#### ClaimLiteral

    public ClaimLiteral(String value)

Construct a Claim literal from a string name of a claim

Parameters:
  `value` - - the string name for claim

#### ClaimLiteral

    public ClaimLiteral(Claims standard)

Construct a Claim literal from a standard claim defined in Claims

Parameters:
  `standard` - - the claim enum value

### Method Detail

#### value

    public String value()

#### standard

    public Claims standard()